$(document).ready(function() {
obtenerFoliosPendientes();
//comentarios
});
function DestroyTable1(idtable) {
  var table = $('#' + idtable).DataTable();
  table.destroy();
}
/*=============================================
  PROPIEDADES PARA CREAR TABLA
=============================================*/
function Table1(idtable) {
  $('#' + idtable).DataTable({
    "bPaginate": true,
    "bFilter": true,
    "bInfo": true,
    "language": {
      "sProcessing": "Procesando...",
      "sLengthMenu": "Mostrar _MENU_ registros",
      "sZeroRecords": "No se encontraron resultados",
      "sEmptyTable": "Ningún dato disponible en esta tabla",
      "sInfo": "Mostrando registros del _START_ al _END_ de un total de _TOTAL_ registros",
      "sInfoEmpty": "Mostrando registros del 0 al 0 de un total de 0 registros",
      "sInfoFiltered": "(filtrado de un total de _MAX_ registros)",
      "sInfoPostFix": "",
      "sSearch": "Buscar:",
      "sUrl": "",
      "sInfoThousands": ",",
      "sLoadingRecords": "Cargando...",
      "oPaginate": {
        "sFirst": "Primero",
        "sLast": "Último",
        "sNext": "Siguiente",
        "sPrevious": "Anterior"
      },
      "oAria": {
        "sSortAscending": ": Activar para ordenar la columna de manera ascendente",
        "sSortDescending": ": Activar para ordenar la columna de manera descendente"
      }
    },
    "lengthMenu": [
      [5, 10, 20, -1],
      [5, 10, 20, "Todos"]
    ]

  });
}
/*=============================================
    obtener listado de folios con alguna partida pendiente por aprobación
=============================================*/
function obtenerFoliosPendientes(){
  var nameTabla = "tbl_foliosPendientes";
  DestroyTable1(nameTabla);
  var valor = 0;
  var datos = new FormData();
  datos.append("GetFoliosPendientes_", valor);

  // SE UTILIZA AJAX PARA CARGAR LA INFO SIN REFRESCAR LA PAGINA
  $.ajax({
    url: "ajax/folio.ajax.php",
    method: "POST",
    data: datos,
    cache: false,
    contentType: false,
    processData: false,
    dataType: "json",
    success: function(respuesta) {
      var print = "";
      var subtotal = "";
      var iva = "";
      var total = "";
      var idcotidetalle = "";
      var TotalDescuento = 0;
      for (var i = 0; i < respuesta.length; i++) {
          print += "<tr>";
          print += "<td>" + respuesta[i]['id_folio'] + "</td>";
          print += "<td>" + respuesta[i]['folio_numero'] + "</td>";
          print += "<td><b>" + respuesta[i]['soli_titulo'] + "</b></td>";
          if (respuesta[i]['us_nombre']) {
            print += "<td>" + respuesta[i]['us_nombre'] + "</td>";
          } else {
            print += "<td><span class='label label-danger'>No asignada</span></td>";
          }
          print += "<td>" + respuesta[i]['emp_nombre'] + "</td>";
          print += "<td style='width:10px'> <span class='badge bg-blue center'>" + respuesta[i]['folio_avance'] + " %</span></td>";
          print += "<td>" + respuesta[i]['folio_descripcion'] + "</td>";
          print += "<td>";
          print += "<div class='btn-group'>";
          print += "<a class='btn btn-info InformacionFolio' idFolioPendiente = " + respuesta[i]['id_folio'] + " ><i class='fa fa-info-circle'></i></a>";
          print += "</div>";
          print += "</td>";
          print += "</tr>";
      }
      $("#printFoliosPendientes").html(print);
      Table1(nameTabla);
    }
  });
}
/*=============================================
  ENVIAR A FORMULARIO DE PENDIENTES
=============================================*/
$(document).on("click", ".aPendientes", function(){
  document.location = "pendientes";
});
/*=============================================
  ENVIA A FORMULARIO folioAdmin?VerAdmin=(id del folio)
=============================================*/
$(document).on("click", ".InformacionFolio", function(){
  var idFolio = $(this).attr("idFolioPendiente");
  document.location = "folioAdmin?Aprobar=" + idFolio;
});
